
-- DROP TABLE candidate;




CREATE TABLE candidate (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    first_name varchar2(30) NULL,
    middle_name varchar2(30) NULL,
    last_name varchar2(30) NULL,
    preferred_name varchar2(30) NULL,
    salutation varchar2(10) NULL,
    position varchar2(30) NULL,
    date_of_birth date NULL,
    date_registered date NULL,
    gender varchar2(10) NULL,
    password varchar2(15) NULL,
    date_taken date NULL,
    section_number number(12) NULL,
    left_quest_number number(12) NULL,
    location varchar2(80) NULL,
    contact_phone varchar2(80) NULL,
    email varchar2(60) NULL
    );



ALTER TABLE candidate ADD    
    CONSTRAINT PK_candidate PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    